# AccountsObj

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Addresses** | Pointer to **[]string** |  | [optional] [default to ["1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa","bc1qex0aqq8mxqfh4cpl62eg755836djjx20yzuuu8"]]

## Methods

### NewAccountsObj

`func NewAccountsObj() *AccountsObj`

NewAccountsObj instantiates a new AccountsObj object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewAccountsObjWithDefaults

`func NewAccountsObjWithDefaults() *AccountsObj`

NewAccountsObjWithDefaults instantiates a new AccountsObj object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetAddresses

`func (o *AccountsObj) GetAddresses() []string`

GetAddresses returns the Addresses field if non-nil, zero value otherwise.

### GetAddressesOk

`func (o *AccountsObj) GetAddressesOk() (*[]string, bool)`

GetAddressesOk returns a tuple with the Addresses field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetAddresses

`func (o *AccountsObj) SetAddresses(v []string)`

SetAddresses sets Addresses field to given value.

### HasAddresses

`func (o *AccountsObj) HasAddresses() bool`

HasAddresses returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


